/*------------------------------------------INVITATIONNNN------------------------------------------*/

.invitation-letter{
    width: 100%;
    height: 80vh;
    position: absolute;
    display: flex;
    flex-flow: column;
    align-items: center;
    padding-top: 40%;
    flex-wrap: nowrap;
    gap: 1rem;
    z-index: 1000;
    background-color: #e7ddb9;
}

.content-inactive{
    transition: 0.4s ease;
    display: none!important;
}




.letter-text{
    width: 100%;
    text-align: center;
    
    h3{
        font-size: 3rem!important;
    }
    
    h4{
        font-size: 1.5rem!important;
        font-family: "Lora"!important;
    }
}

.letter-img-container{
    width: 60%;
    height: 100%;
    display: flex;
    justify-content: center;
    text-align: center;
}

.letter-link{
    width: 100%;
    height: 100%;
}

.letter-img{
    width: 95%;
    height: 95%;
    background-image: url(../imgs/sobre.png);
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    cursor: pointer;
}

.letter-img-vanished{
    display:none;
    transition: all ease 0.3s;
}

@media (max-width: 500px) {
    
    .letter-img{
        width: 100%!important;
    }    
    
}


/*------------------------------------------------------------------------------------------------------------------------------*/
.hero-section {
  width: 100%;
  height: 100%;
  display: flex;
  flex-flow: column;
  justify-content: center;
  align-items: center;

}

.invitation-text {
  width: 100%;
  text-align: center;
}

.invitation-title {
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: clamp(5rem, 3.333rem + 5.556vw, 10rem);
}

.invitation-letter{
    height: 100vh;
    padding-top: 20vh;
    gap: 1rem;
}

.letter-img{
    height: 55%;
}

.decoration1 {
  position: absolute;
  bottom: -15%;
  right: 10%;
  width: 40%;
  height: 70%;
  background-image: url(../imgs/decoration1.png);
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  transform: rotate(60deg);
}

.decoration2 {
  position: absolute;
  bottom: -15%;
  left: 10%;
  width: 40%;
  height: 70%;
  background-image: url(../imgs/decoration1.png);
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  transform: scaleX(-1) rotate(60deg);
}

.date-text {
  font-family: "Bellota";
  font-weight: 500;
  font-style: normal;
}

.motto-text {
  font-size: clamp(1.5rem, 0.842rem + 2.632vw, 4rem);
}

.hero-left {
  width: 40%;
  height: 100%;
  display: flex;
  flex-flow: column;
  justify-content: center;
  align-items: center;
}

.hero-right {
  width: 55%;
  height: 100%;
  display: flex;
  justify-content: left;
  align-items: start;
}

.hero-right-img {
  width: 100%;
  height: 100%;
  aspect-ratio: 16 / 9;
  background-image: url(../imgs/hero.jpg);
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
}

.slow-showup {
  opacity: 0;
  animation: showup 1s ease forwards;
}




@keyframes showup {
  to {
    opacity: 1;
  }
}


/*-------------------------------------------------------------PRESENTATION-------------------------------------------------------------*/
.presentation-section {
  width: 100%;
  height: 80%;
  display: flex;
  justify-content: space-around;
  padding: 1rem;
  margin-bottom: 7rem;
}

.presentation-text {
  font-size: 1.8rem;
  width: 20%;
  height: fit-content;
  font-weight: 100;
  text-align: center;
  padding: 1rem;
}

.right-presentation-text {
  align-self: flex-end;
  margin-bottom: 2rem;
}


.left-presentation-text {
  margin-top: 2rem;
}

.presentation-note {
  font-family: "MonteCarlo";
  font-size: 4.5rem;
  font-weight: 500;
  font-style: normal;
}

.center-presentation-text {
  width: 60%;
  height: 100%;
  background-image: url(../imgs/hero.jpg);
  background-position: center center;
  background-size: cover;
  background-repeat: no-repeat;

}

/*-------------------------------------------------------------HISTORY SECTION-------------------------------------------------------------*/
.history-section {
  width: 100%;
  position: relative;
  display: flex;
  flex-flow: column;
  align-items: center;
  height: auto;
  margin-bottom: 5rem;
}

.history-section h1 {
  z-index: 2;
  margin-bottom: 3rem;
}

.history-section{
    overflow: hidden;
}

.history-part {
  width: 100%;
  height: 30%;
  display: flex;
  justify-content: center;
  align-items: flex-start;
}

.left-history-part {
  width: 45%;
  height: 100%;
}

.right-history-part {
  width: 45%;
  height: 100%;
}

.right-history-part1,
.left-history-part2,
.right-history-part3,
.left-history-part4,
.right-history-part5,
.left-history-part6 {
  aspect-ratio: 16 / 9;
  background-position: center center;
  background-size: cover;
  background-repeat: no-repeat;
}

.right-history-part1 {
  background-image: url(../imgs/hist1.jpg);
}

.right-history-part3 {
  background-image: url(../imgs/hist3.jpg);
}

.right-history-part5 {
  background-image: url(../imgs/hist5.jpg);
}

.left-history-part2 {
  background-image: url(../imgs/hist2.jpg);
}

.left-history-part4 {
  background-image: url(../imgs/hist4.jpg);
}

.left-history-part6 {
  background-image: url(../imgs/hist6.jpg);
}


.left-history-part,
.right-history-part {
  font-size: 1.2rem;
  font-weight: 100;
}

.left-history-part1,
.right-history-part2,
.left-history-part3,
.right-history-part4,
.left-history-part5,
.right-history-part6 {
  height: fit-content;
  padding: 2rem;
  text-align: center;
}

.decoration3 {
  position: absolute;
  top: 1%;
  left: 63%;
  z-index: 1;
  width: 9%;
  height: 9%;
  background-image: url(../imgs/decoration2.png);
  background-position: center center;
  background-size: cover;
  background-repeat: no-repeat;
  transform: rotate(90deg);
}

.history-part1 {
  margin-top: 2rem;
}

/*-------------------------------------------COUNTDOWN SECTION------------------------------------------------------*/
.countdown-section {
  width: 100%;
  height: 60%;
  text-align: center;
  position: relative;
}

.decoration4 {
  position: absolute;
  top: -40%;
  left: 51%;
  width: 15%;
  overflow: hidden;
  height: 90%;
  background-image: url(../imgs/decoration1.png);
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  transform: scaleY(-1)rotate(90deg);

}

.decoration5 {
  position: absolute;
  top: -40%;
  left: 34%;
  width: 15%;
  height: 90%;
  overflow: hidden;
  background-image: url(../imgs/decoration1.png);
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  transform: scaleY(-1)scaleX(-1)rotate(90deg);
}

.countdown-part {
  display: flex;
  flex-direction: row wrap;
  justify-content: center;
  gap: 4rem;
  font-family: "Arial", sans-serif;
  margin-top: 30px;
}

.countdown-part>div {
  display: flex;
  width: 15%;
  flex-direction: column;
  align-items: center;
  background: #111;
  color: #fff;
  padding: 15px 20px;
  border-radius: 12px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.4);
  min-width: 80px;
}

.countdown-number {
  font-size: 2.5rem;
  font-weight: bold;
}

.countdown-text {
  font-size: 0.9rem;
  margin-top: 5px;
  color: #aaa;
  text-transform: uppercase;
  letter-spacing: 1px;
}

/*-------------------------------------------WHEN-WHERE-SECTION----------------------------------------------------*/
.when-where-section {
  width: 100%;
  height: auto;
  display: flex;
  flex-flow: column;
  justify-content: space-evenly;
  align-items: center;
  position: relative;
}

.decoration6 {
  position: absolute;
  top: -11%;
  left: 29%;
  z-index: -1;
  width: 20%;
  height: 20%;
  background-image: url(../imgs/decoration4.png);
  background-position: center center;
  background-size: contain;
  background-repeat: no-repeat;
  transform: scaleX(-1)rotate(80deg);
  aspect-ratio: 16 / 9;
}

.when-where-section h1 {
  margin-bottom: 8rem;
}

.when-where-part {
  display: flex;
  width: 100%;
  height: fit-content;
  justify-content: center;
  gap: 4rem;
  align-items: flex-start;
}


.left-when-where {
  width: 40%;
  aspect-ratio: 3 / 3;
  height: 100%;
  background-image: url(../imgs/church.png);
  background-position: center center;
  background-size: contain;
  background-repeat: no-repeat;

}

.right-when-where {
  width: 40%;
  text-align: center;
  font-size: 1.2rem;
  line-height: 2;
  font-family: "Lora"!important;
}

.right-when-where iframe {
  margin-top: 1rem;
}

/*-------------------------------------------RECEPTION-SECTION----------------------------------------------------*/
.reception-section {
  width: 100%;
  height: auto;
  display: flex;
  flex-flow: column;
  justify-content: space-evenly;
  align-items: center;
  text-align: center;
  margin-bottom: 4rem;
}

.reception-section h2 {
  margin-bottom: 3rem;
}

.reception-part {
  display: flex;
  width: 100%;
  height: fit-content;
  justify-content: space-evenly;
  align-items: flex-start;
}


.right-reception {
  width: 45%;
  aspect-ratio: 16 / 9;
  height: 100%;
  background-image: url(../imgs/reception.jpeg);
  background-position: center center;
  background-size: cover;
  background-repeat: no-repeat;

}

.left-reception {
  width: 30%;
  text-align: left;
  font-size: 1.2rem;
  line-height: 2;
  text-align: center;
  font-family: "Lora"!important;
}

.left-reception iframe {
  margin-top: 1rem;
}

/*------------------------------------------- ASSISTANCE ------------------------------------------------------*/
.assistance-section {
  width: 100%;
  height: 70%;
  text-align: center;
  position: relative;
}

.decoration7 {
  position: absolute;
  top: -30%;
  left: 48%;
  z-index: -1;
  width: 20%;
  height: 70%;
  background-image: url(../imgs/decoration4.png);
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  transform: rotate(90deg);
}

.assistance-part {
  line-height: 2;
  display: flex;
  flex-flow: column;
  align-items: center;
}

.assistance-part p {
  width: 40%;
  font-size: 1.2rem!important;
  margin-bottom: 2rem;
}

.assistance-part a {
  width: 40% !important;
  padding-top: 1rem;
  padding-bottom: 1rem;
  padding-right: .5rem;
  padding-left: .5rem;
  height: auto;
  border: 1px solid;
  box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
}

.assistance-part a:hover,
.photos-part a:hover {
  background-color: black;
  border: 1px solid black;
  color: white;
  transition: background-color .3s ease;
}

/*------------------------------------------- PHOTOS-SECTION ------------------------------------------------------*/
.photos-section {
  width: 100%;
  height: 100%;
  margin-bottom: 32rem;
  text-align: center;
  position: relative;
}

.decoration8 {
  position: absolute;
  top: 8.5%;
  left: 38.5%;
  z-index: -1;
  width: 24%;
  height: 50%;
  background-image: url(../imgs/decoration3.png);
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  transform: scaleY(-1)scaleX(-1)rotate(-90deg);
}

.photos-part {
  line-height: 2;
  display: flex;
  flex-flow: column;
  align-items: center;
}

.photos-section h1 {
  margin-bottom: 6rem;
}

.photos-part p {
  font-size: 1.2rem !important;
  margin-bottom: 2rem;
  width: 45%;
}

.photos-part a {
  width: 45%;
  padding: 1rem;
  width: auto;
  height: auto;
  border: 1px solid;
  box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
}

.fa-envelope {
  margin-left: .3rem;
  font-size: 1.2rem;
}

.down-photoslink {
  font-size: 1.2rem !important;
  margin-top: 2rem;
  padding: 1rem;
}

.whatsapp-numbers {
  display: flex;
  flex-direction: row;
  gap: 1rem;
  align-items: center;
  margin-bottom: 4rem;
}

.down-photoslink2 {
  font-size: 1.2rem !important;
  margin-top: 0rem;
}

/*-------------------------------------------MEDIA QUERIES------------------------------------------------------*/
@media (max-width: 500px) {
    
    /*-----------------------------------------------------------------HEROOOOO-----------------------------------------------------------------*/
    .invitation-title {
      font-size: clamp(4rem, 2.421rem + 6.316vw, 10rem);
    }
/*----------------------------------------------------------*/
  .presentation-section {
    flex-flow: column nowrap;
    height: 60%;
    width: 100%;
    justify-content: center;
    margin-bottom: 0rem;
  }

  .center-presentation-text {
    width: 100%;
    height: 100%;
    background-size: contain;
    aspect-ratio: 1 / 1;
  }

  .right-presentation-text,
  .left-presentation-text {
    display: none;
  }

  .invitation-title {
    text-align: center;
  }

  .hero-section {
    position: relative;
    padding-top: 6rem;
    height: 50%;
  }

  .history-section {
    height: auto;
    gap: 2rem;
    margin-bottom: 5rem;
  }

  .history-part {
    flex-flow: column;
    justify-content: center;
    width: 100%;
  }

  .right-history-part {
    width: 100%;
    padding: 0;
  }

  .left-history-part {
    width: 100%;
    padding: 0;
  }

  .history-part2,
  .history-part4,
  .history-part6 {
    flex-flow: column-reverse !important;
  }

  .history-part {
    height: auto;
  }

  .right-history-part1,
  .left-history-part2,
  .right-history-part3,
  .left-history-part4,
  .right-history-part5,
  .left-history-part6 {
    aspect-ratio: 1 / 1;
  }

  .left-history-part1,
  .right-history-part2,
  .left-history-part3,
  .right-history-part4,
  .left-history-part5,
  .right-history-part6 {
    height: auto;
    padding: 1.5rem 1.5rem 3.5rem;
    padding-bottom: calc(1.5rem + 2rem);
  }

  .countdown-part {
    width: 100%;
    flex-flow: row;
    justify-content: center;
    align-items: center;
    gap: 0.5rem;
    padding: .5rem;
  }

  .countdown-section {
    height: 50%;
    padding-top: 4rem;
  }

  .countdown-part>div {
    width: 24%;
  }

  .countdown-part {
    padding-left: 1rem;
    padding-right: 1rem;
  }

  .when-where-part {
    flex-flow: column;
  }

  .reception-part {
    flex-flow: column-reverse;
  }

  .when-where-part {
    width: 100%;
    padding: 2rem;
    text-align: center;
  }

  .left-when-where,
  .right-when-where,
  .left-reception,
  .right-reception {
    width: 100%;
  }

  .reception-part {
    width: 100%;
    padding: 2rem;
    text-align: center;
  }

  .reception-section h2 {
    margin-bottom: 0rem;
  }

  .right-reception {
    margin-bottom: 1.5rem;
  }

  .photos-part {
    align-items: center;
    justify-content: center;
  }

  .photos-part p {
    width: 70%;
    align-self: center;
  }

  .assistance-part {
    align-items: center;
    justify-content: center;
  }

  .assistance-part p {
    width: 90%;
    align-self: center;
  }

  .assistance-part a {
    width: 65% !important;
  }

  .decoration1,
  .decoration2 {
    width: 24%;
    height: 52%;
    background-size: cover;
  }

  .decoration3 {
    top: 1.3%;
    left: 66%;
    width: 32%;
    height: 3.5%;
    transform: rotate(90deg);
    background-size: contain;
  }

  .history-part1 {
    margin-top: 0rem;
  }

  .decoration4 {
    top: -30%;
    left: 55%;
    width: 25%;
    height: 80%;
    background-size: contain;
    transform: scaleY(-1)rotate(90deg);

  }

  .decoration5 {
    position: absolute;
    top: -30%;
    left: 22%;
    width: 25%;
    height: 80%;
    background-image: url(../imgs/decoration1.png);
    transform: scaleY(-1)scaleX(-1)rotate(90deg);
  }

  .when-where-section h1 {
    margin-bottom: 2rem;
  }

  .when-where-section {
    overflow: hidden;
    padding-top: 5rem;
  }

  .decoration6 {
    position: absolute;
    top: -10.5%;
    left: 15%;
    z-index: -1;
    width: 30%;
    height: 30%;
    background-image: url(../imgs/decoration4.png);
    background-position: center center;
    background-size: contain;
    background-repeat: no-repeat;
    transform: scaleX(-1)rotate(70deg);
    aspect-ratio: 16 / 9;
  }

  .decoration7 {
    top: -24.5%;
    left: 55%;
    z-index: -1;
    width: 25%;
    height: 70%;
    background-image: url(../imgs/decoration4.png);
    background-size: contain;
    transform: rotate(90deg);
  }

  .right-when-where {
    text-align: center;
  }

  .when-where-part {
    gap: 2rem;
  }

  .decoration8 {
    position: absolute;
    top: -6%;
    left: 39.5%;
    z-index: -1;
    width: 24%;
    height: 50%;
    background-image: url(../imgs/decoration3.png);
    transform: scaleY(-1)scaleX(-1)rotate(-90deg);
  }
  

  .whatsapp-numbers {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    align-items: center;
    margin-bottom: 4rem;
  }
  
  .assistance-section{
      padding-top: 2rem;
      margin-bottom: 4rem;
  }
  
  .presentation-section {
    padding: 0;
  }
  
}

